# Generated by Django 4.2.13 on 2024-07-25 04:45

from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("api", "0005_remove_chatbot_description_and_more"),
    ]

    operations = [
        migrations.AlterField(
            model_name="chatbot",
            name="generative_model",
            field=models.CharField(
                choices=[
                    ("anthropic/claude-3.5-sonnet", "Anthropic Claude 35 Sonnet"),
                    ("google/gemini-flash-1.5", "Google Gemini Flash 15"),
                    ("meta-llama/llama-3-70b", "Meta Llama 3 70B"),
                    ("mistralai/mistral-7b-instruct", "Mistral 7B Instruct"),
                    ("openai/gpt-3.5-turbo", "Openai Gpt Turbo"),
                    ("openai/gpt-4o", "Openai Gpt 4O"),
                    ("qwen/qwen-2-72b-instruct", "Qwen 2 72B Instruct"),
                ],
                default="mistralai/mistral-7b-instruct",
                help_text="The generative model used by the chatbot to generate responses",
                max_length=99,
            ),
        ),
    ]
